<template>
  <div id="app" app-data="true"> 
    <v-navigation-drawer
        v-model="drawer"
        :mini-variant="mini"
        absolute
        dark
        temporary
      >
        <v-list class="pa-1 hidden-xs-only">
          <v-list-tile v-if="mini" @click.stop="mini = !mini">
            <v-list-tile-action>
              <v-icon>chevron_right</v-icon>
            </v-list-tile-action>
          </v-list-tile>

          <v-list-tile avatar tag="div">
            <v-list-tile-avatar>
              <img src="https://randomuser.me/api/portraits/men/85.jpg">
            </v-list-tile-avatar>
            <v-list-tile-content>
              <v-list-tile-title>John Leider</v-list-tile-title>
            </v-list-tile-content>

            <v-list-tile-action>
              <v-btn icon @click.stop="mini = !mini">
                <v-icon>chevron_left</v-icon>
              </v-btn>
            </v-list-tile-action>
          </v-list-tile>
        </v-list>

        <v-list class="pt-0" dense>
          <v-list-tile
            v-for="item in menuItems"
            :key="item.title"
            @click=""
            :to="item.link"
          >
            <v-list-tile-action>
              <v-tooltip right>
              <v-icon slot="activator">
                {{ item.icon }}
              </v-icon>
              </v-tooltip>
            </v-list-tile-action>
            <v-list-tile-content>
              <v-list-tile-title>
                <router-link :to="item.link" tag="span" >{{ item.title }}</router-link>
              </v-list-tile-title>
            </v-list-tile-content>
          </v-list-tile>

          <v-list-tile v-if="userIsAuthenticated" @click="onLogout">
            <v-list-tile-action>
              <v-icon>exit_to_app</v-icon>
            </v-list-tile-action>
            <v-list-tile-content>
              Logout
            </v-list-tile-content>
          </v-list-tile>


        </v-list>
      </v-navigation-drawer>
    <v-toolbar dark>
      <v-toolbar-side-icon @click.stop="drawer = !drawer"></v-toolbar-side-icon>
      <v-toolbar-title>
      <router-link  to='/' tag="span" style="cursor:pointer">Easy Level</router-link>
    </v-toolbar-title>
    <v-spacer></v-spacer>
    <v-toolbar-items class="hidden-sm-and-down">
    <v-btn 
    flat
    v-for="item in menuItems"
      :key="item.title"
      :to="item.link"
    >
    {{item.title}}
      </v-btn>
      <v-btn 
      v-if="userIsAuthenticated"
      @click="onLogout"
      >
      Logout
      </v-btn>
  
    </v-toolbar-items>
 
  </v-toolbar>
  <main>
    <router-view></router-view>
  </main>
  <!-- <v-footer app fixed dark class="mt-2">
    <span>&copy; Ydays-2018</span>
  </v-footer> -->
  </div>
</template>

<script>
  export default {
    data () {
      return {
        drawer: null,
        mini: false,
        right: null
      }
    },
    computed: {
      menuItems () {
        let menuItems = [
          { title: 'Sign in', icon: 'lock_open', link: '/signin' },
          { title: 'Sign up', icon: 'power', link: '/signup' },
        ]
        if ( this.userIsAuthenticated) {
          menuItems = [
            // { title: 'Home', icon: 'dashboard', link: '/' },
            { title: 'Meetups', icon: 'supervised_user_circle', link: '/meet' },
            { title: 'Create Meetup', icon: 'today', link: '/meetup/new' },
            { title: 'Matchmakings', icon: 'pageview', link: '/match' },
            { title: 'Create Matchmaking', icon: 'dashboard', link: '/matchmaking/new' },
            // { title: 'Profile', icon: 'person', link: '/profile' },
            // { title: 'View Meetups', icon: 'person', link: '/meetups/:id' },
            // { title: 'Match making', icon: 'question_answer', link: '/' },
            // { title: 'Forum', icon: 'message', link: '/posts' },
          ]
        }
        return menuItems
      },
      userIsAuthenticated () {
        return this.$store.getters.user !== null && this.$store.getters.user !== undefined
      },
    },
    methods: {
      onLogout() {
        this.$store.dispatch('logout')
      }
    }
  }
</script>
<style lang="stylus">
  @import './stylus/main'

  #app {
    background-image : url("./assets/playstation.jpg");
    -webkit-background-size: cover;
    -moz-background-size: cover;
    -o-background-size: cover;
    background-size: cover;
    width: 100%;
    height: 100%;
  }
  // #card {
  //   background-image : ; 
  // }
  // #meetup {
  //   background-image : url("./assets/stamppic.jpg");
  //   -webkit-background-size: cover;
  //   -moz-background-size: cover;
  //   -o-background-size: cover;
  //   background-size: cover;
  // }
</style>